# Class CIM_HostedResourcePool
extends CIM_SystemComponent

HostedResourcePool is a specialization of the SystemComponent association that establishes that the ResourcePool is defined in the context of the System

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_HostedResourcePool

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | HostedResourcePool is a specialization of the SystemComponent association that establishes that the ResourcePool is defined in the context of the System
UMLPackagePath | string | CIM::Core::Resource
Version | string | 2.22.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_HostedResourcePool | CIM_System
PartComponent | CIM_HostedResourcePool | CIM_ResourcePool

## Class Methods